import * as yargs from 'yargs';
import { PackageManager } from './package-manager';
type Arguments = {
    name: string;
    preset: string;
    appName: string;
    style: string;
    framework: string;
    standaloneApi: boolean;
    docker: boolean;
    nxCloud: boolean;
    routing: boolean;
    allPrompts: boolean;
    packageManager: PackageManager;
    defaultBase: string;
    ci: string;
    skipGit: boolean;
    commit: {
        message: string;
        name: string;
        email: string;
    };
    bundler: 'vite' | 'webpack';
    interactive: boolean;
};
export declare const commandsObject: yargs.Argv<Arguments>;
export {};
